#!/usr/bin/sh
# 	Copyright (c) 2003-2005 The SCO Group, Inc. All Rights Reserved. 


#
# The source here is entirely from a zlib-1.2.1 distribution except for:
#
# - zlib.sh (this file)
# - patches/*		the patches to be applied
#
# -DHAS_vsnprintf is reversed -- no it's -DNO_vsprintf
#

set -x
set -e

# Apply patches.
for patch in patches/1.2.1-DoS
do
	[ -f ${patch}.applied ] || {
		/bin/patch -c -p0 -i ${patch}.patch
		/bin/date > ${patch}.applied
	}
done

cd dist

CC="${CC-cc}"
CPP="$CC -E"
CFLAGS="-KPIC -DANSICPP -O"
RANLIB=true
LDSHARED="${CC} -G -Wl,-h,/usr/lib/\${SHAREDLIB}.1"
MAKE="${MAKE-make}"
export CC CPP CFLAGS RANLIB LDSHARED MAKE

./configure --prefix=/usr --shared

# Make and install in cross environment.
$MAKE install prefix=${TOOLS}/usr

# Now install in ${ROOT}/${MACH}.
$MAKE install prefix=${ROOT}/${MACH}/usr
